Subject: Re: bug#10224: 24.0.92; M-w inhibits echoing of prefix arguments

From: Chong Yidong <[email-masked]>
Date: Fri, 09 Dec 2011 13:52:29 +0800

Stephen Berman <[email-masked]> writes:

> It's definitely not a normal delay.  But your failure to reproduce it
> (it's 100% reproducible for me) made me suspicious, so I switched to
> another desktop environment, and sure enough, the echoing behavior after
> M-w was normal.  So this appears to be a problem just with LXDE, which I
> used for the first time a few days ago.  I have no idea what is causing
> it: M-w has no desktop function in LXDE AFAICT and aside from the
> no-echo problem works as usual in Emacs; moreover, I just determined
> that the no-echo problem does not happen with emacs -q -nw started from
> the LXTerminal.

I have no idea what LXDE could be doing that could cause this.  If you
add the (redisplay t) line discussed earlier in this thread, does the
problem go away on LXDE?